import java.util.Scanner; 

public class ComputeTax {
  public static void main(String[] args) {
    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);

    // Prośba o podanie rodzaju deklaracji
    System.out.print("(0-osoby samotne, 1-małżeństwo wspólnie lub " +
      "wdowa/wdowiec, 2-małżeństwo osobno, 3-głowa " +
      "gospodarstwa) Podaj rodzaj deklaracji: ");
    
    int status = input.nextInt();

    // Prośba o podanie wysokości opodatkowanego dochodu
    System.out.print("Podaj wysokość opodatkowanego dochodu: ");
    double income = input.nextDouble();

    // Obliczanie podatku
    double tax = 0;

    if (status == 0) { // Obliczanie podatku dla osób samotnych
      if (income <= 8350)
        tax = income * 0.10;
      else if (income <= 33950)
        tax = 8350 * 0.10 + (income - 8350) * 0.15;
      else if (income <= 82250)
        tax = 8350 * 0.10 + (33950 - 8350) * 0.15 +
          (income - 33950) * 0.25;
      else if (income <= 171550)
        tax = 8350 * 0.10 + (33950 - 8350) * 0.15 +
          (82250 - 33950) * 0.25 + (income - 82250) * 0.28;
      else if (income <= 372950)
        tax = 8350 * 0.10 + (33950 - 8350) * 0.15 +
          (82250 - 33950) * 0.25 + (171550 - 82250) * 0.28 +
          (income - 171550) * 0.33;
      else
        tax = 8350 * 0.10 + (33950 - 8350) * 0.15 +
          (82250 - 33950) * 0.25 + (171550 - 82250) * 0.28 +
          (372950 - 171550) * 0.33 + (income - 372950) * 0.35;
    }
    else if (status == 1) { // Ćwiczenie 3.13
      // Obliczanie podatku dla par rozliczających się wspólnie lub dla wdów/wdowców spełniających warunki
    }
    else if (status == 2) { // Ćwiczenie 3.13
      // Obliczanie podatku dla par rozliczających się wspólnie
    }
    else if (status == 3) { // Ćwiczenie 3.13
      // Obliczanie podatku dla głowy gospodarstwa domowego
    }
    else {
      System.out.println("Błąd: nieprawidłowy rodzaj deklaracji");
      System.exit(1);
    }

    // Wyświetlanie wyniku
    System.out.println("Podatek wynosi " + (int)(tax * 100) / 100.0);
  }
}
